Skip to main content
GET
/
v1
/
namespaces
/
{namespace_id}
/
models
/
{model_id}
Get model details
curl --request GET \
  --url https://api.mixpeek.com/v1/namespaces/{namespace_id}/models/{model_id} \
  --header 'Authorization: Bearer <token>'
{
  "model": {
    "model_id": "<string>",
    "namespace_id": "<string>",
    "name": "<string>",
    "version": "<string>",
    "model_archive_url": "<string>",
    "model_hash": "<string>",
    "deployed": false,
    "deployment_info": {
      "endpoint": "<string>",
      "base_image": "<string>",
      "ray_cluster_url": "<string>",
      "ray_deployment_name": "<string>",
      "deployed_at": "2023-11-07T05:31:56Z"
    },
    "framework": "<string>",
    "task_type": "<string>",
    "input_schema": {},
    "output_schema": {},
    "resource_requirements": {
      "num_cpus": 1,
      "num_gpus": 0,
      "memory": 4294967296
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace_id
string
required
model_id
string
required

Response

Successful Response

Response model for model details.

model
CustomModelDocument · object
required

Custom model document stored in MongoDB.

success
boolean
default:true